Subject: Re: [PATCH 2/3] ci: avoid bare "gcc" for osx-gcc job

From: Patrick Steinhardt <[email-masked]>
Date: Sat, 11 May 2024 19:21:28 +0200

On Fri, May 10, 2024 at 03:47:39PM -0700, Junio C Hamano wrote:
> Jeff King <[email-masked]> writes:
[snip]
> > [1] Another quirk is that we run the whole test suite for both
> >     compilers, which is probably overkill. The main value in comparing
> >     gcc vs clang is that we don't use any constructs that the compiler
> >     complains about. It's _possible_ for there to be a construct that
> >     the compiler does not notice but which causes a runtime difference
> >     (say, undefined behavior which happens to work out on one compiler),
> >     but I think we're again hitting diminishing returns.
> 
> Yeah, that is a very good point.

On Linux, we have the "pedantic" job that runs Fedora and only compiles
the sources with DEVOPTS=pedantic without running any of the tests. We
could do the same on macOS.

Patrick